Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 593750 - gcc 4.1.2, 4.3.2, 4.4 bug: passing const-reference-to-function
Summary: gcc 4.1.2, 4.3.2, 4.4 bug: passing const-reference-to-function
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gcc
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jakub Jelinek
QA Contact: Michal Nowak
URL:
Whiteboard:
Depends On: 593060 653994
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 15:58 UTC by Jakub Jelinek
Modified: 2013-03-08 02:09 UTC (History)
5 users (show)

Fixed In Version: gcc-4.4.4-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 593060
Environment:
Last Closed: 2010-07-02 19:07:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Jakub Jelinek 2010-05-19 16:01:22 UTC
Marking as regression from RHEL4 (g++ 3.4.6 compiles this).

Comment 3 Jakub Jelinek 2010-05-26 05:48:57 UTC
This should be fixed in gcc-4.4.4-5.el6.

Comment 6 releng-rhel@redhat.com 2010-07-02 19:07:28 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.